Get Shared Circuit Coverage
GET
Retrieve shared-access circuit coverage for the specified address. The optional technology filter accepts the aliases normalized by the API.
streetEgon*stringThe EGON code of the street
mainEgon*stringThe EGON code of the main connection point
streetNumber*stringThe street number
technology?stringOptional technology filter. If omitted, all shared technologies are returned.
Value in
"adsl""fttcab""fttc""ftth""ftthome"Shared circuit coverage retrieved successfully.
application/json- response
[index: integer]?curl -X GET 'https://api.eis.it/v1/coverage/shared?streetEgon=string&mainEgon=string&streetNumber=string'Example Response
[ { "providerId": 0, "providerName": "string", "speedLimit": 0.1, "speedComplete": "string", "multipleConnection": true, "distance": 0.1, "connectionType": "string", "connectionElementName": "string", "connectionCLLi": "string", "serviceName": "string", "serviceDescription": "string", "oloServiceId": 0, "oloTypeProduct": "string", "oloTypeService": "string", "fiberRange": "string", "coverage": true, "idBuilding": "string", "headerId": "string", "connectionElementDetail": "string", "statusCode": "string", "statusDescription": "string" }]Get Available Circuit Technologies GET
Deprecated. Use `/v1/coverage/shared` for shared-access coverage or `/v1/coverage/dedicated` for dedicated-access coverage. Retrieve all active circuit technologies for the specified street, building, and optional technology filter.
Get Dedicated Circuit Coverage GET
Retrieve dedicated-access circuit coverage for the specified address.